
Ruby - Bug #13678

toplevel return causes [BUG]

06/24/2017 02:55 PM - shyouhei (Shyouhei Urabe)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 2.5.0dev (2017-06-23 trunk 59146)

[x86_64-darwin15]

Backport: 2.2: DONTNEED, 2.3: DONTNEED, 2.4:

DONE

Description

Attached script causes [BUG] Stack consistency error (sp: 7, bp: 6)

Related issues:

Related to Ruby - Feature #4840: Allow returning from require Closed

Associated revisions

Revision 8f1c93f4090be6e57a00c0072a142e8c8cabf393 - 06/25/2017 05:10 AM - nobu (Nobuyoshi Nakada)

compile.c: toplevel return in argument

compile.c (iseq_compile_each0): adjust the stack before return

in an evstr/argument (reported by Balazs balazs@kutilovi.cz)

to fix stack consistency error.  [ruby-core:81761] [Bug #13678]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@59169 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 8f1c93f4 - 06/25/2017 05:10 AM - nobu (Nobuyoshi Nakada)

compile.c: toplevel return in argument

compile.c (iseq_compile_each0): adjust the stack before return

in an evstr/argument (reported by Balazs balazs@kutilovi.cz)

to fix stack consistency error.  [ruby-core:81761] [Bug #13678]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@59169 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 9b586688074a127cf51d162c3de6eb262488f132 - 08/03/2017 02:00 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 59169: [Backport #13678]

    compile.c: toplevel return in argument

    * compile.c (iseq_compile_each0): adjust the stack before return

      in an evstr/argument (reported by Balazs <balazs@kutilovi.cz>)

      to fix stack consistency error.  [ruby-core:81761] [Bug #13678]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_4@59490 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 9b586688 - 08/03/2017 02:00 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 59169: [Backport #13678]

    compile.c: toplevel return in argument

    * compile.c (iseq_compile_each0): adjust the stack before return

      in an evstr/argument (reported by Balazs <balazs@kutilovi.cz>)

      to fix stack consistency error.  [ruby-core:81761] [Bug #13678]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_4@59490 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 06/25/2017 05:10 AM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Closed

Applied in changeset trunk|r59169.
compile.c: toplevel return in argument

compile.c (iseq_compile_each0): adjust the stack before return

in an evstr/argument (reported by Balazs balazs@kutilovi.cz)

to fix stack consistency error.  [ruby-core:81761] [Bug #13678]

#2 - 07/20/2017 03:30 AM - nobu (Nobuyoshi Nakada)

- Related to Feature #4840: Allow returning from require added

#3 - 08/03/2017 02:00 PM - nagachika (Tomoyuki Chikanaga)

- Backport changed from 2.2: DONTNEED, 2.3: DONTNEED, 2.4: REQUIRED to 2.2: DONTNEED, 2.3: DONTNEED, 2.4: DONE

ruby_2_4 r59490 merged revision(s) 59169.

Files

bug.rb 12 Bytes 06/24/2017 shyouhei (Shyouhei Urabe)
